classification
Title: mktime_tz documentation out-of-date
Type: behavior Stage: resolved
Components: Documentation, email Versions: Python 3.2, Python 3.3, Python 3.4, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: akira, barry, docs@python, jwilk, python-dev, r.david.murray, rutsky
Priority: normal Keywords: patch

Created on 2013-06-17 15:24 by jwilk, last changed 2014-04-26 23:06 by r.david.murray. This issue is now closed.

Files
File name Uploaded Description Edit
mktime_tz-doc.patch akira, 2014-04-16 21:22 review
Messages (4)
msg191346 - (view) Author: Jakub Wilk (jwilk) Date: 2013-06-17 15:24
email.utils.mktime_tz documentations says:
"Minor deficiency: mktime_tz() interprets the first 8 elements of tuple as a local time and then compensates for the timezone difference. This may yield a slight error around changes in daylight savings time, though not worth worrying about for common use."

But now that issue #14653 is fixed, this is no longer true.
msg216595 - (view) Author: Akira Li (akira) * Date: 2014-04-16 21:22
I've added the documentation patch with the outdated remark removed from mktime_tz docs.
msg217223 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-04-26 23:05
New changeset d24f1fb256a3 by R David Murray in branch '3.4':
#18243: Remove obsolete cautionary note from email mktime_tz docs.
http://hg.python.org/cpython/rev/d24f1fb256a3

New changeset 462470859e57 by R David Murray in branch 'default':
Merge: #18243: Remove obsolete cautionary note from email mktime_tz docs.
http://hg.python.org/cpython/rev/462470859e57

New changeset d1a641ecbe33 by R David Murray in branch '2.7':
#18243: Remove obsolete cautionary note from email mktime_tz docs.
http://hg.python.org/cpython/rev/d1a641ecbe33
msg217224 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2014-04-26 23:06
Thanks, Akira.
History
Date User Action Args
2014-04-26 23:06:45r.david.murraysetstatus: open -> closed
resolution: fixed
messages: + msg217224

stage: resolved
2014-04-26 23:05:28python-devsetnosy: + python-dev
messages: + msg217223
2014-04-16 21:22:34akirasetfiles: + mktime_tz-doc.patch

type: behavior
versions: + Python 3.2, Python 3.5
keywords: + patch
nosy: + akira

messages: + msg216595
2013-10-10 19:44:21rutskysetnosy: + rutsky
2013-06-17 15:31:21r.david.murraysetnosy: + barry, r.david.murray

components: + email
versions: + Python 3.3, Python 3.4
2013-06-17 15:24:02jwilkcreate